Support » Plugin: Registrations for WooCommerce » Erro ao ativar

  • Resolved kasterweb

    (@kasterweb)


    Olá estou tentando instalar o Registrations for WooCommerce e quando ativo o plugin meu site deixa de funcionar, segue erro:
    A página de imejmt.com.br não está funcionando
    imejmt.com.br não consegue atender a esta solicitação no momento.
    HTTP ERROR 500

    Fiz o teste em uma instalação do zero do wordpress.

    Poderia me ajudar!

    —-
    Hello, I’m trying to install Registrations for WooCommerce and when I activate the plugin my site stops working, it follows error:
    The page of imejmt.com.br is not working
    Imejmt.com.br is unable to fulfill this request at this time.
    HTTP ERROR 500

    I tested it on a zero wordpress install.

    Would you help me!

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Allyson Souza

    (@allysonsouza)

    Olá @kasterweb,

    Não consegui reproduzir o erro em minhas instalações. O seu servidor possui os requisitos recomendados pelo WordPress? (PHP 5.6 ou superior, MySQL 5.6 ou superior, Apache ou Nginx?)

    O erro ocorre apenas no front-end do site, após a instalação do plugin?

    Olá os requisitos são atendidos sim.
    Instalei a versão do wordpress 4.7.2 depois instalei e ativei normalmente WooCommerce 2.6.13 e depois instalei normalmente o Registrations for WooCommerce. Porém quando clico em ativar ocorre esse erro e todo o site fica fora do ar, front e back.

    Poderia me ajudar?

    Plugin Author Allyson Souza

    (@allysonsouza)

    Olá @kasterweb,

    Estranho, não consigo reproduzir o erro. Erro 500 é erro do servidor, mas sei que as vezes ocorre por erros como ausência de ; no PHP, porém imagino que não seja o caso já que não consigo reproduzí-lo.

    Você já olhou o arquivo de .log do WordPress e do seu servidor? Há algum erro registrado que possa nos ajudar a esclarecer esse problema?

    Olá fiz contato com o meu host e eles me responderam o seguinte:

    Hello,

    It appears that there is an issue with the code, as the following error is occurring:
    [02-Feb-2017 20:08:57 UTC] PHP Parse error: syntax error, unexpected ‘[‘ in /chroot/home/sonoecia/extralicitacoes.com.br/html/wp-content/plugins/registrations-for-woocommerce/classes/class-wc-registrations-checkout.php on line 140

    Plugin Author Allyson Souza

    (@allysonsouza)

    @kasterweb, descobrimos o erro então!

    No plugin foi utilizada uma sintaxe de definição de arrays mais recente, suportada desde o PHP 5.3, que é a $array = [];

    Recomendo que busque uma hospedagem que tenha suporte a uma versão atualizada do PHP, adequada aos requisitos do WordPress, que desde 2015 recomendava o uso do PHP 5.4+, ano passado começou a recomendar o PHP 5.6+, e este ano já está recomendando a versão PHP 7 (https://wordpress.org/about/requirements/), com isso espero que o plugin funcione normalmente.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Erro ao ativar’ is closed to new replies.